aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog4
-rwxr-xr-xlib/keyringer/actions/commit10
2 files changed, 13 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index c9a9246..9c5a05c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,6 @@
-2014-03-27 - Silvio Rhatto <rhatto@riseup.net>
+2014-04-04 - Silvio Rhatto <rhatto@riseup.net>
+
+ Adding "commit" action which is a wrapper around "git commit"
Align command output
diff --git a/lib/keyringer/actions/commit b/lib/keyringer/actions/commit
new file mode 100755
index 0000000..47937c2
--- /dev/null
+++ b/lib/keyringer/actions/commit
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Git commit wrapper.
+#
+
+# Load functions
+LIB="`dirname $0`/../functions"
+source "$LIB" || exit 1
+
+keyringer_exec git "$BASEDIR" commit $*